#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void readInput(int *studentsN, char names[1000][100], char codes[1000][100], int marks[1000], char courseName[100], char courseCode[100]);
void outputResult(int *studentsN, char names[1000][100], char codes[1000][100], int marks[1000], char courseName[100], char courseCode[100]);

void readInput(int *studentsN, char names[1000][100], char codes[1000][100], int marks[1000], char courseName[100], char courseCode[100]) {

	FILE *ruhm = fopen("Ruhm.txt","r");

	if (ruhm == NULL) {
		printf ("Cannot open 'Ruhm.txt'");
		getchar();
		exit(EXIT_FAILURE);
	}

	FILE *aine = fopen("Aine.txt","r");

	if (aine == NULL) {
		printf ("Cannot open 'Aine.txt'");
		getchar();
		exit(EXIT_FAILURE);
	}

	char str[1000];
	int c = 1;

 
	while (fgets (str, 1000, ruhm) != NULL) {
		 
		char *nlptr = strchr(str, '\n');
		if (nlptr) *nlptr = '\0';

	 
		if (c == 1) {
			strcpy(codes[*studentsN], str);
			c = 0;
		} else {
			strcpy(names[*studentsN], str);
			c = 1;

			(*studentsN)++;
		}
	}

	 
	fgets (courseCode, 1000, aine);
	fgets (courseName, 1000, aine);

	int n, i;

 
	while (fscanf(aine,"%d %s", &n, &str) != EOF) {
		for (i = 0; i < (*studentsN); i++) {
			if (strcmp(codes[i], str) == 0) {
				marks[i] = n;
				break;
			}
		}
	}

	fclose(ruhm);
	fclose(aine);
}

void outputResult(int *studentsN, char names[1000][100], char codes[1000][100], int marks[1000], char courseName[100], char courseCode[100]) {

	FILE *output = fopen("Eksamileht.txt","w");

	if (output == NULL) {
		printf ("Cannot open 'Eksamileht.txt'");
		getchar();
		exit(EXIT_FAILURE);
	}

	 
	fprintf(output, "%s", courseCode);
	fprintf(output, "%s", courseName);

	int i;

	for (i = 0; i < (*studentsN); i++) {
		fprintf(output, "%s %s", names[i], codes[i]);

		if (marks[i] < 0)
			fprintf(output, " Hinnet pole\n");
		else
			fprintf(output, " %d\n", marks[i]);
	}

	fclose(output);
}

int main() {

	char names[1000][100], codes[1000][100], courseName[100], courseCode[100];
	int marks[1000], studentsN = 0;

	int i;

	for (i = 0; i < 1000; i++)
		marks[i] = -1;

	readInput(&studentsN, names, codes, marks, courseName, courseCode);
	outputResult(&studentsN, names, codes, marks, courseName, courseCode);

	getchar();
	return 0;
}
